Autor Tema: Clementine no funciona bien en Wifislax 4.11.1  (Leído 6660 veces)

0 Usuarios y 1 Visitante están viendo este tema.

ferlan

  • Visitante
Clementine no funciona bien en Wifislax 4.11.1
« en: 28-09-2015, 18:30 (Lunes) »
Al tratar de reproducir, no lo hace y sale este mensaje:
Código: [Seleccionar]
GStreamer could not create the element: volume. Please make sure that you have installed all necessary GStreamer plugins (e.g. OGG and MP3)

He probado a instalarlo en la ISO de testing limpia de cualquier otra cosa y el resultado es el mismo.

A ver si alguien más lo ha probado y puede confirmar si le ocurre lo mismo.



sol666

  • Visitante
Re: Clementine no funciona bien en Wifislax 4.11.1
« Respuesta #1 en: 28-09-2015, 22:09 (Lunes) »
y compilando no te ha dado ningun problema?yo lo utilizaba pero me cambie al exaile,voy a intentar a instalarlo yo a ver.
Pues a mi tambien me da el mismo fallo pero ni idea de como arreglarlo,a ver si alguno de los jefes lo mira.
« Última modificación: 28-09-2015, 23:04 (Lunes) por sol666 »

ferlan

  • Visitante
Re: Clementine no funciona bien en Wifislax 4.11.1
« Respuesta #2 en: 28-09-2015, 23:36 (Lunes) »
Lo instalo con el actualizador, y durante el proceso no veo nada raro.

Algo se habrá roto o con algo será incompatible, pues en Wifislax 10 iba bien. Esperemos que tenga arreglo.

Gracias por probar.

Desconectado geminis_demon

  • Colaborador
  • *
  • Mensajes: 2377
  • Prácticas precisas precisan práctica
Re: Clementine no funciona bien en Wifislax 4.11.1
« Respuesta #3 en: 29-09-2015, 00:56 (Martes) »
Ahí dice que falta un plugin. ¿Que formato estás intentando reproducir?

La luz cree que viaja más rápido que cualquier otra cosa, pero se equivoca; da lo mismo lo rápido que pueda viajar, porque al final, la luz descubre que la oscuridad ha llegado antes que ella, y la está esperando.

ferlan

  • Visitante
Re: Clementine no funciona bien en Wifislax 4.11.1
« Respuesta #4 en: 29-09-2015, 01:22 (Martes) »
Ahí dice que falta un plugin. ¿Que formato estás intentando reproducir?

Creo que lo debe hacer con cualquiera. Yo lo pruebo con .mp3 .ogg y streaming.

Desconectado geminis_demon

  • Colaborador
  • *
  • Mensajes: 2377
  • Prácticas precisas precisan práctica
Re: Clementine no funciona bien en Wifislax 4.11.1
« Respuesta #5 en: 29-09-2015, 02:26 (Martes) »
Bug confirmado, intento reproducir un mp3 y me pasa lo mismo.

La luz cree que viaja más rápido que cualquier otra cosa, pero se equivoca; da lo mismo lo rápido que pueda viajar, porque al final, la luz descubre que la oscuridad ha llegado antes que ella, y la está esperando.

Desconectado USUARIONUEVO

  • Moderador
  • *
  • Mensajes: 15271
Re: Clementine no funciona bien en Wifislax 4.11.1
« Respuesta #6 en: 29-09-2015, 11:06 (Martes) »
seguramente falta alguno de los paquetes de plugins

o los ugly o los bad

gstremaer-plugins-bad
gstreamer-plugins-ugly


no recuerdo ,pero voy a mirarlo ... es que ahora gstremaer 1 , viene de serie en slackware ..pero los plugins no todos.


para los ugly , hay updater , para los bad

http://slackbuilds.org/repository/14.1/libraries/gst1-plugins-bad/



si al final necesita los bad ... hare el updater y modificare el de clementine para comprobar esa dependencia antes de compilar.




segun archlinux , clementine usa gstremaer de la serie 0.x , asi que necesitaremos los de la serie 0.x , supongo
http://slackbuilds.org/result/?search=gstreamer&sv=14.1
« Última modificación: 29-09-2015, 11:15 (Martes) por USUARIONUEVO »

Desconectado USUARIONUEVO

  • Moderador
  • *
  • Mensajes: 15271
Re: Clementine no funciona bien en Wifislax 4.11.1
« Respuesta #7 en: 29-09-2015, 14:32 (Martes) »
EDIT: NO OS MATEIS A BUSCAR UNA SOLUCION

El problema va mas alla de si tenemos los plugins o no.

Se trata de que qt , fue compilada ya contra los plugins gstremaer 1 , y clementine usa plugins version 0.x

La solucion es compilar una version del git ...estoy en ello para actualizar el updater

Desconectado USUARIONUEVO

  • Moderador
  • *
  • Mensajes: 15271
Re: Clementine no funciona bien en Wifislax 4.11.1
« Respuesta #8 en: 29-09-2015, 17:44 (Martes) »
He actualizado el updater , probad y decirme cosas.

sol666

  • Visitante
Re: Clementine no funciona bien en Wifislax 4.11.1
« Respuesta #9 en: 29-09-2015, 20:47 (Martes) »
al utilizar el updater en la 4.11.1 me dice esto:

--   found gstreamer-1.0, version 1.4.5
-- checking for module 'gstreamer-app-1.0'
--   found gstreamer-app-1.0, version 1.4.5
-- checking for module 'gstreamer-audio-1.0'
--   found gstreamer-audio-1.0, version 1.4.5
-- checking for module 'gstreamer-base-1.0'
--   found gstreamer-base-1.0, version 1.4.5
-- checking for module 'gstreamer-tag-1.0'
--   found gstreamer-tag-1.0, version 1.4.5
-- checking for module 'libgpod-1.0>=0.7.92'
--   found libgpod-1.0, version 0.8.3
-- checking for module 'libmtp>=1.0'
--   found libmtp, version 1.1.8
-- checking for module 'libmygpo-qt>=1.0.7'
--   found libmygpo-qt, version 1.0.7
-- checking for module 'libpulse'
--   package 'libpulse' not found
-- checking for module 'libxml-2.0'
--   found libxml-2.0, version 2.9.2
-- checking for module 'QJson'
--   found QJson, version 0.8.1
-- checking for module 'libspotify>=12.1.45'
--   package 'libspotify>=12.1.45' not found
-- checking for module 'taglib>=1.6'
--   found taglib, version 1.9.1
-- Performing Test TAGLIB_HAS_OPUS
-- Performing Test TAGLIB_HAS_OPUS - Success
CMake Error at CMakeLists.txt:277 (message):
  Either crypto++ must be available or the non-GPL Spotify code must be
  compiled in


-- Configuring incomplete, errors occurred!
See also "/tmp/build/clementine/clementine-20150512_70cc291/build/CMakeFiles/CMakeOutput.log".
See also "/tmp/build/clementine/clementine-20150512_70cc291/build/CMakeFiles/CMakeError.log".
wifislax Multimedia #
« Última modificación: 29-09-2015, 20:48 (Martes) por sol666 »

Desconectado USUARIONUEVO

  • Moderador
  • *
  • Mensajes: 15271
Re: Clementine no funciona bien en Wifislax 4.11.1
« Respuesta #10 en: 29-09-2015, 20:49 (Martes) »
mm, necesita si o si un updater con libspotify ...   :-\

no esta en slackbuilds pero es fácil de hacer.
« Última modificación: 29-09-2015, 20:49 (Martes) por USUARIONUEVO »

Desconectado USUARIONUEVO

  • Moderador
  • *
  • Mensajes: 15271
Re: Clementine no funciona bien en Wifislax 4.11.1
« Respuesta #11 en: 29-09-2015, 21:15 (Martes) »
libspotify


Código: [Seleccionar]
#!/bin/sh

# Script by www.seguridadwireless.net

SCRIPT_VERSION=20150929

############################################################
## Funciones comunes. Su nombre empieza por f_ ##
############################################################
f_variables(){
. /opt/wifislax-updaters/Funciones/funciones_updater
}

############################################################
## Funciones propias del script. Su nombre empieza por F_ ##
############################################################
# Definicion de variables
F_variables() {
PRGNAM=libspotify
echo -ne "\033]2;${PRGNAM}_updater\007"
WEB=https://developer.spotify.com/technologies/libspotify/
VERSION=`curl -s $WEB | grep i686-release.tar.gz | cut -d '>' -f4 | cut -d '<' -f-1`
DOWNLOAD=http://developer.spotify.com/download/libspotify/$PRGNAM-$VERSION-Linux-i686-release.tar.gz
}

# Si el paquete no existe se descargara de internet
F_download(){
if [ ! -f $PRGNAM-$VERSION-Linux-i686-release.tar.gz ]; then
echo
echo "$CYAN"Descargando sources de $PRGNAM-$VERSION"$CIERRE"
sleep 1
wget -c $DOWNLOAD
fi
}

# Descomprimimos el fichero descargado y compilamos
F_compilar(){
echo
echo "$VERDE"Descomprimiendo ..."$CIERRE"
sleep 1
rm -rf $PRGNAM-$VERSION
tar xvf $PRGNAM-$VERSION-Linux-i686-release.tar.gz
cd $PRGNAM-$VERSION-Linux-i686-release
chown -R root:root .
find -L . \
 \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
  -o -perm 511 \) -exec chmod 755 {} \; -o \
 \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
  -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;



echo
echo "$VERDE"Compilando ..."$CIERRE"
sleep 1
make prefix="$PKG/usr" install

}

###################################
## BLOQUE PRINCIPAL DE EJECUCION ##
###################################
# Si se cierra el script inesperadamente, ejecutar la funcion de limpieza
trap f_exitmode SIGHUP SIGINT

#Inicializamos las variables globales
f_variables
#Comprobamos conexion a Internet
f_comprobarConexion
#Inicializamos las variables del script
F_variables
#Creamos directorio de trabajo
f_directorioTemporal
#Mostramos el mensaje de presentacion
f_presentacion
#Comprobamos updates del script
f_comprobarUpdates
#Asignamos o detectamos arquitectura
f_arquitectura
#Comprobamos version instalada del paquete
f_versionInstalada
#Si no existe el fichero se descargara
F_download
#Descomprimir fichero descargado y compilamos
F_compilar
#Hacemos strip sobre el paquete
f_strip
#Creamos xzm , instalamos y salimos
f_tareasFinales

Desconectado USUARIONUEVO

  • Moderador
  • *
  • Mensajes: 15271
Re: Clementine no funciona bien en Wifislax 4.11.1
« Respuesta #12 en: 29-09-2015, 21:25 (Martes) »
pues no le vale solo con libspotify ..grr


me toca meterle mas...ya aviso cuando acabe con el , por que en la current lo he tenido funcionando.

Desconectado USUARIONUEVO

  • Moderador
  • *
  • Mensajes: 15271
Re: Clementine no funciona bien en Wifislax 4.11.1
« Respuesta #13 en: 29-09-2015, 22:09 (Martes) »
Bueno , pues creo que ya ...

He subido al ftp , otra version de clementine_updater que verifica las dependencias

libspotify
libechonest

al igual que sendos updaters para dichas dependencias.

sol666

  • Visitante
Re: Clementine no funciona bien en Wifislax 4.11.1
« Respuesta #14 en: 29-09-2015, 23:13 (Martes) »
joer con el clementine,se nota que es mas potente que el exaile,ha tardao lo suyo para compilarse,ahora ya funciona aunque solo lo he probao con mp3.

Desconectado USUARIONUEVO

  • Moderador
  • *
  • Mensajes: 15271
Re: Clementine no funciona bien en Wifislax 4.11.1
« Respuesta #15 en: 29-09-2015, 23:16 (Martes) »
joer con el clementine,se nota que es mas potente que el exaile,ha tardao lo suyo para compilarse,ahora ya funciona aunque solo lo he probao con mp3.

OK , gracias por probar  ;)

ferlan

  • Visitante
Re: Clementine no funciona bien en Wifislax 4.11.1
« Respuesta #16 en: 30-09-2015, 03:35 (Miércoles) »
joer con el clementine,se nota que es mas potente que el exaile,ha tardao lo suyo para compilarse,ahora ya funciona aunque solo lo he probao con mp3.
sol666, ¿lo has probado en Wifislax 4 11.1 o en la ISO de testing?

Yo lo he probado en Wifislax 4 11.1 y sigo igual.

Supongo que lo hago bien. Primero he actualizado wifislax-updaters y después Clementine. El resultado, es que sigo lo mismo.

Bueno , pues creo que ya ...

He subido al ftp , otra version de clementine_updater que verifica las dependencias

libspotify
libechonest

al igual que sendos updaters para dichas dependencias.
USUARIONUEVO, ¿no se deberían ejecutar primero los updaters para las dependencias? En mi caso, parece que no.

De lo que voy viendo durante la compilación, a ver si esto puede servir de orientación:

Código: [Seleccionar]
Building Clementine version: 1.2.3

The following components will be built:
   D-Bus support
   Devices: Audio CD support
   Devices: DeviceKit backend
   Devices: GIO device backend
   Devices: MTP support
   Devices: iPod classic support
   Last.fm support
   Moodbar support
   Visualisations
   Wiimote support

The following components WILL NOT be built:
   Box support (missing Google sparsehash)
   Crash reporting (disabled in CMake config)
   Dropbox support (missing Google sparsehash)
   Gnome sound menu integration (missing indicate-qt)
   Google Drive support (missing Google sparsehash)
   Skydrive support (missing Google sparsehash)
   Sparkle integration (missing Mac OS X, Sparkle)
   Spotify support: non-GPL binary helper (missing libspotify)
   Ubuntu One file support (missing Google sparsehash)

-- Configuring done
CMake Warning (dev) at src/CMakeLists.txt:1172 (add_dependencies):
  Policy CMP0046 is not set: Error on non-existent dependency in
  add_dependencies.  Run "cmake --help-policy CMP0046" for policy details.
  Use the cmake_policy command to set the policy and suppress this warning.

  The dependency target "pot" of target "clementine_lib" does not exist.
This warning is for project developers.  Use -Wno-dev to suppress it.

-- Generating done
CMake Warning:
  Manually-specified variables were not used by the project:

    LIB_SUFFIX
    MAN_INSTALL_DIR

sol666

  • Visitante
Re: Clementine no funciona bien en Wifislax 4.11.1
« Respuesta #17 en: 30-09-2015, 08:53 (Miércoles) »
en la 4.11.1 y con mp3

Desconectado USUARIONUEVO

  • Moderador
  • *
  • Mensajes: 15271
Re: Clementine no funciona bien en Wifislax 4.11.1
« Respuesta #18 en: 30-09-2015, 11:11 (Miércoles) »
ferlan


Building Clementine version: 1.2.3

va a ser que no tienes el updater de clementine actualizado.

ferlan

  • Visitante
Re: Clementine no funciona bien en Wifislax 4.11.1
« Respuesta #19 en: 30-09-2015, 21:48 (Miércoles) »
va a ser que no tienes el updater de clementine actualizado.

Ya he mencionado que lo que hago primero es ir a "Actualizadores" y actualizar "wifislax-updaters" y luego, también desde "Actualizadores" instalar Clementine.

¿Tendría que hacerlo de otra forma? ¿En tal caso, cuáles serian los pasos a seguir partiendo de Wifislax 4.11.1 limpio (sin módulos añadidos).